Skip site navigation (1) Skip section navigation (2)

Error using Perl 5 interface

From: magnusm(at)ibm(dot)net
To: <pgsql-interfaces(at)postgresql(dot)org>
Subject: Error using Perl 5 interface
Date: 1999-08-16 23:23:09
Message-ID: 002301bee83e$4ffab780$140410ac@toons (view raw or flat)
Thread:
Lists: pgsql-interfaces
Hello

We wonder if anyone has found and resolved a cryptic error that we get
when trying to connect a PosgreSQL 6.5.1 database with perl 5.0053.

First, the perl script....

#! /usr/bin/perl

use Pg;

$conn = Pg::connectdb("dbname=template1");
$result = $conn -> exec("create database pgtest");

When we run this we get the following error message.

Can't load '/usr/lib/perl5/site_perl/i386-linux/auto/Pg/Pg.so' for
module Pg: /usr/lib/perl5/site_perl/i386-linux/auto/Pg/Pg.so: undefined
symbol: Perl_markstack_ptr at
/usr/lib/perl5/5.00503/i386-linux/DynLoader.pm at line 169.

at ./test.pl line 3  (which is use Pg;)

We are running Red Hat 6.0 standard installation with PostgreSQL 6.5.1
and the perl interface that came with it.  We opted to install the
binaries instead of compiling the source ourselves.  We are running Perl
5.0053 that was installed with the system installation.

Thanks

Magnus


pgsql-interfaces by date

Next:From: Mark DzmuraDate: 1999-08-16 23:58:44
Subject: A few more JDBC meta-data questions...
Previous:From: Nicolas AragonDate: 1999-08-16 23:18:35
Subject: types oids

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group